User Tools

Site Tools


mac:ruby

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
mac:ruby [2013/12/26 18:37]
Admin [TODO] Try chruby.
mac:ruby [2014/03/31 21:33] (current)
99.100.133.164 Update to latest versions of Ruby.
Line 29: Line 29:
 eval "​$(rbenv init -)" eval "​$(rbenv init -)"
 </​code>​ </​code>​
 +
  
 ===== Installing Ruby ===== ===== Installing Ruby =====
Line 43: Line 44:
 <code bash> <code bash>
 rbenv install --list rbenv install --list
-rbenv install 2.1.0 +rbenv install 2.1.1 
-rbenv install 2.0.0-p353 +rbenv install 2.0.0-p451 
-rbenv install 1.9.3-p484+rbenv install 1.9.3-p545
 </​code>​ </​code>​
  
Line 51: Line 52:
  
 <code bash> <code bash>
-rbenv install rbx-2.2.1+rbenv install rbx-2.2.5
 </​code>​ </​code>​
  
Line 57: Line 58:
  
 <code bash> <code bash>
-rbenv alias 1.9    1.9.3-p484 +rbenv alias 1.9    1.9.3-p545 
-rbenv alias 1.9.3  1.9.3-p484 +rbenv alias 1.9.3  1.9.3-p545 
-rbenv alias 2.0    2.0.0-p353 +rbenv alias 2.0    2.0.0-p451 
-rbenv alias 2.0.0  2.0.0-p353 +rbenv alias 2.0.0  2.0.0-p451 
-rbenv alias 2.1    2.1.0 +rbenv alias 2.1    2.1.1 
-rbenv alias rbx    rbx-2.2.1+rbenv alias rbx    rbx-2.2.5
 </​code>​ </​code>​
  
Line 77: Line 78:
  
 Then you can install the new version(s) of Ruby. Be sure to install all the basic gems, update your aliases and documentation. Then you can install the new version(s) of Ruby. Be sure to install all the basic gems, update your aliases and documentation.
 +
  
 ===== Setting the Default Ruby ===== ===== Setting the Default Ruby =====
  
-We'll set Ruby 2.1.as the default.+We'll set Ruby 2.1.as the default.
  
 <code bash> <code bash>
 rbenv versions rbenv versions
-rbenv global 2.1.0 +rbenv global 2.1.1 
-rbenv shell 2.1.0+rbenv shell 2.1.1
 </​code>​ </​code>​
  
Line 129: Line 131:
  
 NOTE: Rails 4 does not like Bundler'​s binstubs. You'll need to run ''​rake rails:​update:​bin''​ after running ''​bundle install''​ the first time, to override Bundler'​s binstubs with Rails' binstubs. NOTE: Rails 4 does not like Bundler'​s binstubs. You'll need to run ''​rake rails:​update:​bin''​ after running ''​bundle install''​ the first time, to override Bundler'​s binstubs with Rails' binstubs.
 +
  
 ===== TODO ===== ===== TODO =====
Line 134: Line 137:
   * Try chruby instead. It's a lot lighter weight.   * Try chruby instead. It's a lot lighter weight.
   * Install JRuby.   * Install JRuby.
 +
mac/ruby.txt · Last modified: 2014/03/31 21:33 by 99.100.133.164